Obrazovka = function (platno) {
    this.platno = platno

    this.sirka = 10
    this.vyska = 10

    this.funkce = function (x, y, sirka, vyska) {
        return 'white'
    }
}

Obrazovka.prototype.zmenVelikost = function (sirka, vyska) {
    this.sirka = sirka
    this.vyska = vyska

    this.vykresli()
}

Obrazovka.prototype.vykresli = function () {
    this.platno.innerHTML = "";

    var table = document.createElement('table')
    for (var y = 0; y < this.vyska; y++) {
        var tr = document.createElement('tr')
        for (var x = 0; x < this.sirka; x++) {
            var td = document.createElement('td')
            td.style.backgroundColor = this.funkce(x, y, this.sirka, this.vyska)
            tr.appendChild(td)
        }
        table.appendChild(tr)
    }
    this.platno.appendChild(table)
}

Obrazovka.prototype.nastavFunkci = function (fce) {
    this.funkce = fce
}
